For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
  • Introduction
    • Overview
    • Authentication
    • Versioning
    • Limits
    • Pagination
    • Errors
    • Migrate to V2
    • Changelog
  • Knowledge
    • Overview
    • Sources
      • GETGet knowledge sources
      • POSTCreate a knowledge source
      • DELDelete a knowledge source
      • PATCHUpdate a knowledge source
    • Articles
    • Tags
  • End Users
    • Overview
    • Getting started
    • Developer guide
  • Integrations
    • Overview
    • Getting started
  • Conversations
    • Overview
    • Getting started
  • Webhooks
    • Overview
  • Data Compliance
    • Overview
  • Data Export
    • Overview
    • Getting started
    • Conversations
    • Messages
Login
LogoLogo
KnowledgeSources

Get knowledge sources

GET
https://example.ada.support/api/v2/knowledge/sources/
GET
/api/v2/knowledge/sources/
1import requests
2
3url = "https://example.ada.support/api/v2/knowledge/sources/"
4
5headers = {"Authorization": "Bearer <token>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
1{
2 "data": [
3 {
4 "id": "107a82",
5 "name": "My Name",
6 "external_id": "21k-dmwdnio292nj3kbf80s",
7 "created": "2021-01-01T00:00:00Z",
8 "updated": "2021-01-01T00:00:00Z"
9 }
10 ]
11}
Get knowledge sources
Was this page helpful?
Previous

Create a knowledge source

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

Knowledge sources
datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
429
Too Many Requests Error
500
Internal Server Error